package com.bonus.canteen.core.supply.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.bonus.canteen.core.supply.constant.CustomNumberConverter;

import java.math.BigDecimal;

public class DrpOrderGoodsExportVO {
   @ExcelIgnore
   private Long materialId;
   @ExcelIgnore
   private Long stallId;
   @ExcelProperty({"货品编码"})
   private String materialCode;
   @ExcelProperty({"货品名称"})
   private String materialName;
   @ExcelProperty({"货品类别"})
   private String categoryName;
   @ExcelProperty({"计量单位"})
   private String unitName;
   @ExcelProperty({"数量"})
   private BigDecimal orderNum;
   @ExcelProperty(
      value = {"单价(元)"},
      converter = CustomNumberConverter.class
   )
   private Integer singlePrice;
   @ExcelProperty(
      value = {"金额(元)"},
      converter = CustomNumberConverter.class
   )
   private Integer totalPrice;
   @ExcelProperty({"所属食堂"})
   private String canteenName;
   @ExcelProperty({"档口名称"})
   private String stallName;

   public Long getMaterialId() {
      return this.materialId;
   }

   public Long getStallId() {
      return this.stallId;
   }

   public String getMaterialCode() {
      return this.materialCode;
   }

   public String getMaterialName() {
      return this.materialName;
   }

   public String getCategoryName() {
      return this.categoryName;
   }

   public String getUnitName() {
      return this.unitName;
   }

   public BigDecimal getOrderNum() {
      return this.orderNum;
   }

   public Integer getSinglePrice() {
      return this.singlePrice;
   }

   public Integer getTotalPrice() {
      return this.totalPrice;
   }

   public String getCanteenName() {
      return this.canteenName;
   }

   public String getStallName() {
      return this.stallName;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setStallId(final Long stallId) {
      this.stallId = stallId;
   }

   public void setMaterialCode(final String materialCode) {
      this.materialCode = materialCode;
   }

   public void setMaterialName(final String materialName) {
      this.materialName = materialName;
   }

   public void setCategoryName(final String categoryName) {
      this.categoryName = categoryName;
   }

   public void setUnitName(final String unitName) {
      this.unitName = unitName;
   }

   public void setOrderNum(final BigDecimal orderNum) {
      this.orderNum = orderNum;
   }

   public void setSinglePrice(final Integer singlePrice) {
      this.singlePrice = singlePrice;
   }

   public void setTotalPrice(final Integer totalPrice) {
      this.totalPrice = totalPrice;
   }

   public void setCanteenName(final String canteenName) {
      this.canteenName = canteenName;
   }

   public void setStallName(final String stallName) {
      this.stallName = stallName;
   }

   public String toString() {
      Long var10000 = this.getMaterialId();
      return "DrpOrderGoodsExportVO(materialId=" + var10000 + ", stallId=" + this.getStallId() + ", materialCode=" + this.getMaterialCode() + ", materialName=" + this.getMaterialName() + ", categoryName=" + this.getCategoryName() + ", unitName=" + this.getUnitName() + ", orderNum=" + String.valueOf(this.getOrderNum()) + ", singlePrice=" + this.getSinglePrice() + ", totalPrice=" + this.getTotalPrice() + ", canteenName=" + this.getCanteenName() + ", stallName=" + this.getStallName() + ")";
   }
}
